> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive all accounts for the client  

> Return the list of the balances for the client accounts



## OpenAPI

````yaml get /account
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /account:
    get:
      tags:
        - Account
      summary: 'Receive all accounts for the client  '
      description: Return the list of the balances for the client accounts
      parameters:
        - name: companyId
          in: query
          description: Company id
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccountBalance'
      deprecated: true
      security:
        - bearerAuth: []
components:
  schemas:
    AccountBalance:
      required:
        - account
        - agent
        - auditor
        - available
        - balance
        - client
        - created
        - currency
        - holder
        - holding
        - pending
        - title
        - updated
      properties:
        client:
          type: string
          description: Client ID
          format: uuid
          example: 39eab26c-8788-4375-810c-9807aaf98191
        account:
          type: string
          description: Account ID
          format: uuid
          example: 40eab26c-8788-4375-810c-9807aaf98190
        agent:
          type: string
          description: Agent ID
          format: uuid
          example: 50eab26c-8788-4375-810c-9807aaf98191
        auditor:
          type: string
          description: OperationKey for the next transaction
          format: uuid
          example: 70eab26c-8788-4375-810c-9807aaf98190
        contract:
          type: string
          description: The contract for the account
          example: basicContract
        available:
          minimum: 0
          type: number
          description: Available amount of currency
          example: 150
        holding:
          minimum: 0
          type: number
          description: >-
            Total sum of currency on hold for the account (out coming from the
            account)
          example: 10
        pending:
          minimum: 0
          type: number
          description: Total sum of currency waiting to be added (incoming to the account)
          example: 5
        balance:
          minimum: 0
          type: number
          description: Is equal to available + pending
          example: 155
        title:
          type: string
          description: Title for the account
          example: USD account
        currency:
          maxLength: 3
          minLength: 3
          type: string
          description: Currency code (ISO 4217)
          example: USD
        status:
          type: string
          description: Account status
          example: individual
          enum:
            - activated
            - pending
            - initiated
        created:
          type: string
          description: When the account was created in RFC 3339 (section 5.6)
          format: date-time
          example: '2022-07-06T13:42:24.094Z'
        updated:
          type: string
          description: Time of the last update in RFC 3339 (section 5.6)
          format: date-time
          example: '2022-07-06T13:42:24.094Z'
        bankDetails:
          type: string
          description: bank details(json stringify)
          example: '{"iban":"GB60TEST26161681306171","bic":"TESTGB21"}'
        variantId:
          type: string
          example: '1'
        alias:
          type: string
          example: '10002000'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````